Gets the class modifiers

- « ReflectionClass::getMethods

- ReflectionClass::getName »

- PHP Manual
- ReflectionClass
- Gets the class modifiers

# ReflectionClass::getModifiers

(PHP 5, PHP 7, PHP 8)

ReflectionClass::getModifiers — Gets the class modifiers

### Description

public ReflectionClass::getModifiers(): int

Returns a bitfield of the access modifiers for this class.

### Parameters

This function has no parameters.

### Return Values

Returns bitmask of modifier constants.

### See Also

- ReflectionClass::getProperties() - Gets properties
- Reflection::getModifierNames() - Gets modifier names